# Static

A widget which displays static content.
Can be used for Rich renderables and can also be the base for other types of widgets.

- [ ] Focusable
- [ ] Container

## Example

The example below shows how you can use a `Static` widget as a simple text label (but see [Label](./label.md) as a way of displaying text).

=== "Output"

    ```{.textual path="docs/examples/widgets/static.py"}
    ```

=== "static.py"

    ```python
    --8<-- "docs/examples/widgets/static.py"
    ```

## Reactive Attributes

This widget has no reactive attributes.

## Messages

This widget posts no messages.

## Bindings

This widget has no bindings.

## Component Classes

This widget has no component classes.

## See Also

* [Label](./label.md)
* [Pretty](./pretty.md)


---


::: textual.widgets.Static
    options:
      heading_level: 2
